<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14) on Fri May 29 23:30:56 CEST 2020 -->
<title>T-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-29">
<meta name="description" content="index: T">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="split-index">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="../Heroes/User/InGameUser.html#takeLifes(int)">takeLifes(int)</a></span> - Method in class Heroes.User.<a href="../Heroes/User/InGameUser.html" title="class in Heroes.User">InGameUser</a></dt>
<dd>
<div class="block">Take lifes.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/InGameUser.html#takeMoney(int)">takeMoney(int)</a></span> - Method in class Heroes.User.<a href="../Heroes/User/InGameUser.html" title="class in Heroes.User">InGameUser</a></dt>
<dd>
<div class="block">Take money from the actual money</div>
</dd>
<dt><a href="../Heroes/Tile/Towers/Attacks/Thunder.html" title="class in Heroes.Tile.Towers.Attacks"><span class="typeNameLink">Thunder</span></a> - Class in <a href="../Heroes/Tile/Towers/Attacks/package-summary.html">Heroes.Tile.Towers.Attacks</a></dt>
<dd>
<div class="block">The type Thunder (extends Attack)</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Attacks/Thunder.html#%3Cinit%3E(int,int,javafx.scene.layout.Pane,int,int)">Thunder(int, int, Pane, int, int)</a></span> - Constructor for class Heroes.Tile.Towers.Attacks.<a href="../Heroes/Tile/Towers/Attacks/Thunder.html" title="class in Heroes.Tile.Towers.Attacks">Thunder</a></dt>
<dd>
<div class="block">Instantiates a new Thunder.</div>
</dd>
<dt><a href="../Heroes/Tile/Tile.html" title="class in Heroes.Tile"><span class="typeNameLink">Tile</span></a> - Class in <a href="../Heroes/Tile/package-summary.html">Heroes.Tile</a></dt>
<dd>
<div class="block">The type Tile.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Tile.html#%3Cinit%3E()">Tile()</a></span> - Constructor for class Heroes.Tile.<a href="../Heroes/Tile/Tile.html" title="class in Heroes.Tile">Tile</a></dt>
<dd>
<div class="block">Instantiates a new Tile.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Tile.html#%3Cinit%3E(int,double,Heroes.Tile.TileKinds)">Tile(int, double, TileKinds)</a></span> - Constructor for class Heroes.Tile.<a href="../Heroes/Tile/Tile.html" title="class in Heroes.Tile">Tile</a></dt>
<dd>
<div class="block">Instantiates a new Tile.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Tile.html#%3Cinit%3E(int,int)">Tile(int, int)</a></span> - Constructor for class Heroes.Tile.<a href="../Heroes/Tile/Tile.html" title="class in Heroes.Tile">Tile</a></dt>
<dd>
<div class="block">Instantiates a new Tile  only used for not constructibme TILE
 Translate it to the coordinates given</div>
</dd>
<dt><a href="../Heroes/Tile/TileKinds.html" title="enum in Heroes.Tile"><span class="typeNameLink">TileKinds</span></a> - Enum in <a href="../Heroes/Tile/package-summary.html">Heroes.Tile</a></dt>
<dd>
<div class="block">The enum Tile kinds.</div>
</dd>
<dt><a href="../Heroes/Monster/Titan.html" title="class in Heroes.Monster"><span class="typeNameLink">Titan</span></a> - Class in <a href="../Heroes/Monster/package-summary.html">Heroes.Monster</a></dt>
<dd>
<div class="block">The type Titan (extends Monster)</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/Titan.html#%3Cinit%3E(java.util.ArrayList,javafx.scene.layout.Pane,int,int,int)">Titan(ArrayList&lt;Integer&gt;, Pane, int, int, int)</a></span> - Constructor for class Heroes.Monster.<a href="../Heroes/Monster/Titan.html" title="class in Heroes.Monster">Titan</a></dt>
<dd>
<div class="block">Instantiates a new Titan with default values and arguments and level</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/MonsterKinds.html#TITAN">TITAN</a></span> - Heroes.Monster.<a href="../Heroes/Monster/MonsterKinds.html" title="enum in Heroes.Monster">MonsterKinds</a></dt>
<dd>
<div class="block">Titan monster kinds.</div>
</dd>
<dt><a href="../Heroes/TopInGameMenu/TopInGameMenuController.html" title="class in Heroes.TopInGameMenu"><span class="typeNameLink">TopInGameMenuController</span></a> - Class in <a href="../Heroes/TopInGameMenu/package-summary.html">Heroes.TopInGameMenu</a></dt>
<dd>
<div class="block">The type Top in game menu controller</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/TopInGameMenu/TopInGameMenuController.html#%3Cinit%3E()">TopInGameMenuController()</a></span> - Constructor for class Heroes.TopInGameMenu.<a href="../Heroes/TopInGameMenu/TopInGameMenuController.html" title="class in Heroes.TopInGameMenu">TopInGameMenuController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/Crypt.html#toString()">toString()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/Crypt.html" title="class in Heroes.User">Crypt</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers"><span class="typeNameLink">Tower</span></a> - Class in <a href="../Heroes/Tile/Towers/package-summary.html">Heroes.Tile.Towers</a></dt>
<dd>
<div class="block">The type Tower (extends Constructible)</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Tower.html#%3Cinit%3E(int,int,Heroes.Tile.TileKinds,Heroes.Tile.TowerStates,int,int,int,java.lang.String,int,int)">Tower(int, int, TileKinds, TowerStates, int, int, int, String, int, int)</a></span> - Constructor for class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a></dt>
<dd>
<div class="block">Instantiates a new Tower.</div>
</dd>
<dt><a href="../Heroes/User/TowerImprovement.html" title="class in Heroes.User"><span class="typeNameLink">TowerImprovement</span></a> - Class in <a href="../Heroes/User/package-summary.html">Heroes.User</a></dt>
<dd>
<div class="block">The type Tower improvement.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowerImprovement.html#%3Cinit%3E(Heroes.Tile.TowerInfos)">TowerImprovement(TowerInfos)</a></span> - Constructor for class Heroes.User.<a href="../Heroes/User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a></dt>
<dd>
<div class="block">Instantiates a new Tower improvement.</div>
</dd>
<dt><a href="../Heroes/MenuInterface/TowerImprovementInterfaceController.html" title="class in Heroes.MenuInterface"><span class="typeNameLink">TowerImprovementInterfaceController</span></a> - Class in <a href="../Heroes/MenuInterface/package-summary.html">Heroes.MenuInterface</a></dt>
<dd>
<div class="block">The type Tower improvement interface controller.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/MenuInterface/TowerImprovementInterfaceController.html#%3Cinit%3E()">TowerImprovementInterfaceController()</a></span> - Constructor for class Heroes.MenuInterface.<a href="../Heroes/MenuInterface/TowerImprovementInterfaceController.html" title="class in Heroes.MenuInterface">TowerImprovementInterfaceController</a></dt>
<dd>
<div class="block">Instantiates a new Tower improvement interface controller.</div>
</dd>
<dt><a href="../Heroes/MenuInterface/TowerImprovementListViewCell.html" title="class in Heroes.MenuInterface"><span class="typeNameLink">TowerImprovementListViewCell</span></a> - Class in <a href="../Heroes/MenuInterface/package-summary.html">Heroes.MenuInterface</a></dt>
<dd>
<div class="block">The type Tower improvement list view cell.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/MenuInterface/TowerImprovementListViewCell.html#%3Cinit%3E()">TowerImprovementListViewCell()</a></span> - Constructor for class Heroes.MenuInterface.<a href="../Heroes/MenuInterface/TowerImprovementListViewCell.html" title="class in Heroes.MenuInterface">TowerImprovementListViewCell</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowersImprovements.html#towerImprovements(Heroes.Tile.TowerInfos)">towerImprovements(TowerInfos)</a></span> - Method in class Heroes.User.<a href="../Heroes/User/TowersImprovements.html" title="class in Heroes.User">TowersImprovements</a></dt>
<dd>
<div class="block">Tower improvements tower improvement.</div>
</dd>
<dt><a href="../Heroes/Tile/TowerInfos.html" title="enum in Heroes.Tile"><span class="typeNameLink">TowerInfos</span></a> - Enum in <a href="../Heroes/Tile/package-summary.html">Heroes.Tile</a></dt>
<dd>
<div class="block">The enum Tower infos.</div>
</dd>
<dt><a href="../Heroes/RightPanel/TowerListViewCell.html" title="class in Heroes.RightPanel"><span class="typeNameLink">TowerListViewCell</span></a> - Class in <a href="../Heroes/RightPanel/package-summary.html">Heroes.RightPanel</a></dt>
<dd>
<div class="block">The type Tower list view cell.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/RightPanel/TowerListViewCell.html#%3Cinit%3E()">TowerListViewCell()</a></span> - Constructor for class Heroes.RightPanel.<a href="../Heroes/RightPanel/TowerListViewCell.html" title="class in Heroes.RightPanel">TowerListViewCell</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../Heroes/RightPanel/TowerSelectedController.html" title="class in Heroes.RightPanel"><span class="typeNameLink">TowerSelectedController</span></a> - Class in <a href="../Heroes/RightPanel/package-summary.html">Heroes.RightPanel</a></dt>
<dd>
<div class="block">The type Tower selected controller, show the infos of a Tower and show the choices possible.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/RightPanel/TowerSelectedController.html#%3Cinit%3E()">TowerSelectedController()</a></span> - Constructor for class Heroes.RightPanel.<a href="../Heroes/RightPanel/TowerSelectedController.html" title="class in Heroes.RightPanel">TowerSelectedController</a></dt>
<dd>
<div class="block">Instantiates a new Tower selected controller.</div>
</dd>
<dt><a href="../Heroes/User/TowersImprovements.html" title="class in Heroes.User"><span class="typeNameLink">TowersImprovements</span></a> - Class in <a href="../Heroes/User/package-summary.html">Heroes.User</a></dt>
<dd>
<div class="block">The type Towers improvements.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowersImprovements.html#%3Cinit%3E()">TowersImprovements()</a></span> - Constructor for class Heroes.User.<a href="../Heroes/User/TowersImprovements.html" title="class in Heroes.User">TowersImprovements</a></dt>
<dd>
<div class="block">Instantiates a new Towers improvements.</div>
</dd>
<dt><a href="../Heroes/Tile/TowerStates.html" title="enum in Heroes.Tile"><span class="typeNameLink">TowerStates</span></a> - Enum in <a href="../Heroes/Tile/package-summary.html">Heroes.Tile</a></dt>
<dd>
<div class="block">The enum Tower states.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
